import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:memorias_calculo/src/back/models/login_ventilacion_model.dart';

class LoginVentilacionProvider{
  String _url = "smart.solerpalau.mx";
  LoginVentilacionModel _loginVentilacionModel = LoginVentilacionModel(
      result: Result(
          accessToken: "no-data",
          idUsuario: "no-data",
          nombre: "no-data",
          verificacion: "no-data",
          correo: "no-data",
          movil: "no-data",
          pais: "no-data",
          estado: "no-data",
          ciudad: "no-data"
      ),
      response: false,
      message: "no-data"
  );

  Future<LoginVentilacionModel> fetchLogin(String correo, String contra) async{
    final url = Uri.https(_url, 'QA/api/v1/matrizMemoriasCalculo/loginVentilacion');
    final res = await http.post(url,
        body: {
          "CORREO" : correo,
          "CONTRA" : contra
        }
    );

    print(res.body);
    final decoded = jsonDecode(res.body);
    print("BIEN 4");
    if(!decoded['response']){
      _loginVentilacionModel.message = decoded['message'];
      print("BIEN 5");
      return _loginVentilacionModel;
    }else{
      final loginModel = LoginVentilacionModel.fromJson(decoded);
      print("BIEN 5");
      return loginModel;
    }
  }
}